<template>
  <section>
    <h1 data-testid="title">👋 Hello {{ name }}!</h1>
    <p>This is your first component tested using browser-based component testing with Cypress + Vue ✌️🌲</p>
  </section>
</template>

<script lang="ts">
import { Component, Prop, Vue } from 'vue-property-decorator';

@Component
export default class Greetings extends Vue {

  @Prop({default: 'world'})
  name!: string;

}
</script>

<style scoped>
  section {
    font-family: "Helvetica Neue", sans-serif;
  }
</style>
